<?php
header("Content-Type: text/html; charset=utf-8");
use_helper('UrlFunctions');
use_helper('UtilFunctions');
$tamanioPag = 20;
if(!isset($page)) $page = 1;
//echo $tamanioPag;
$o_CrBusquedaFN = new CrBusquedaFN();
$o_CrBusquedaFN->setTipobusqueda("SENTINEL");
$o_CrBusquedaFN->setDocumento($documento);
$o_CrBusquedaFN->setEstado("H");
$o_CrBusquedaFN->sortCampos = "Idbusqueda";
$o_CrBusquedaFN->sortType   = "2";
if($nombrecompleto) $o_CrBusquedaFN->setNombrecompletolike($nombrecompleto);

if(!isset($page)) $page = 1;
$o_CrBusquedaFN->page = $page;
$o_CrBusquedaFN->tamPag = $tamanioPag;

$a_o_CrBusquedaBN = $o_CrBusquedaFN->select();

$o_CrBusquedaFNC = new CrBusquedaFN();
$o_CrBusquedaFNC->setTipobusqueda("SENTINEL");
$o_CrBusquedaFNC->setDocumento($documento);
$o_CrBusquedaFNC->sortCampos = "Idbusqueda";
$o_CrBusquedaFNC->sortType   = "2";
if(!isset($page)) $page = 1;
$o_CrBusquedaFNC->page = $page;
$o_CrBusquedaFNC->tamPag = 1;
$a_o_CrBusquedaBNC = $o_CrBusquedaFNC->select();


//print_r($a_o_CrBusquedaBNC);

$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($o_CrBusquedaFN->selectNumRows());
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);

if(is_array($a_o_CrBusquedaBNC)){
	$o_CrBusquedaBNC = $a_o_CrBusquedaBNC[0];
	
		$json = $o_CrBusquedaBNC->getTramaresultado();
		$obj = json_decode($json);
		if(is_object($obj)){
			$success = $obj->{'success'};
			$message = $obj->{'message'};
			if(!$message){
				if($success === true){
					
					// Rescatar los valores para que se pueda asignar al formulario
					$obj_person = $obj->{'person'};
						$obj_general = $obj_person->{'general'};
							$actual 		= $obj_general->{'sem_actual'};
							$sem_historico 	= $obj_general->{'sem_historico'};
					$obj_images = $obj->{'images'};
						$foto = $obj_img->{'foto'};
						$firma = $obj_img->{'firma'};
				}
			}
		}
	
}
?>

	<table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
	        <tr height="">
	          <td width="15%" align="center" class="req">No. Documento</td>
	          <td width="5%" align="center"><?=$documento?></td>
	          <td width="10%" align="left" class="req">Nombre completo</td>
	          <td width="25%" align="left"><?php echo $a_o_CrBusquedaBNC[0]->getNombrecompleto()?></td>
	         
	          
	          
	          
	          <td width="8%" align="center" class="req">Sem. Actual</td>
	          
	          <td width="18%" align="left" ><?php echo procesarSemaforo($actual)?></td>
	          
	        </tr>
	    </table>
	    <table  border="0" cellpadding="0" cellspacing="0" width="100%">
			<tr>
	          <td height="17" align="right" class="pager">
	            <div id="contenedor">
	              <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
	            </div>
	          </td>
	        </tr>
			  <tr>
			    <td>
			      <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
			        <tr height="">
			          <th width="1%" align="center">No.</th>
			          <th width="5%" align="center">Documento</th>
			          <th width="25%" align="left">Nombre completo</th>
			          <th width="3%" align="left">Cliente</th>
			         
			          <th width="3%" align="center">Actual</th>
			          
			          <th width="25%" align="left">&nbsp;Historial</th>
			          
			          
			          
			         
			           <th width="10%" align="center">F.Historico</th>
			           <th width="10%" align="center">U.Historico</th>
			          <th width="5%" id="col01" onMouseOver="sort_col(this);" ></th>
			        </tr>
			  <?php
			  	if(is_array($a_o_CrBusquedaBN)){
			  		$i = 1;
	    			foreach($a_o_CrBusquedaBN as $key2 => $o_CrBusquedaBN) {
	    				$json = $o_CrBusquedaBN->getTramaresultado();
	    				$obj = json_decode($json);
						if(is_object($obj)){
							$success = $obj->{'success'};
							$message = $obj->{'message'};
							if(!$message){
								if($success === true){
									
									// Rescatar los valores para que se pueda asignar al formulario
									$obj_person = $obj->{'person'};
										$obj_general = $obj_person->{'general'};
											$actual 		= $obj_general->{'sem_actual'};
											$sem_historico 	= $obj_general->{'sem_historico'};
									$obj_images = $obj->{'images'};
										$foto = $obj_img->{'foto'};
										$firma = $obj_img->{'firma'};
								}
							}
						}
		    		?>
		    			<tr style="background:<?php echo ($i%2==0)?"#ECECEC":"#ffffff";?>">
					        <td align="center"><?echo (($page-1)*$tamanioPag)+$i;?></td>
					        <td align="left"><?=$o_CrBusquedaBN->getDocumento();?></td>
					        <td align="left"><?=$o_CrBusquedaBN->getNombrecompleto()?></td>
					        <td align="center"><?=$o_CrBusquedaBN->getIdcliente()?></td>
					        					        
					        <td align="center">
					        
					        <?php echo procesarSemaforo($actual)?>
					        </td>
					        <td align="center"><?php echo procesarSemaforo($sem_historico)?></td>
					        					        					        
					        
					        
					        <td align="center"><?=$o_CrBusquedaBN->getFechacreacion()?></td>
					        <td align="center"><?=$o_CrBusquedaBN->getUsuariocreacion()?></td>
					        <td align="center" ><a href="#" onclick="objMainTab.modalDialog('<?=buildUrlComplet('rep.php/csentinel/showSentinel/viewhistorico/1/Idbusqueda/'.$o_CrBusquedaBN->getIdbusqueda());?>',{title:'Detalle Sentinel',width:950,height:420,nameOtherWindow:'ov'})"><img src="/images/common/iconos/eye.png"  title="Riesgo"></a>
					       </td>
					      </tr>	
					  <?php
					  $i++;
	    			}
			  	}else{
				   	echo "<tr><td colspan='7'>No hay resultados</td></tr>";
				 }
				?>
		      </table>
		    </td>
		  </tr>
		</table>
	<?php
	
   
